# Assets

## Get Wallet Address

<mark style="color:blue;">`GET`</mark> `https://api.vaultoro.com/v1/private/coins/address`

This endpoint allows you to retrieve your wallet addresses.

#### Query Parameters

| Name  | Type    | Description                                              |
| ----- | ------- | -------------------------------------------------------- |
| asset | string  | The asset you want to retrieve the wallet addresses for. |
| old   | boolean | Choose to return inactive wallet addresses.              |

#### Headers

| Name   | Type   | Description     |
| ------ | ------ | --------------- |
| VTOKEN | string | Your API token. |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": [
        {
            "asset": "BTC",
            "createdAt": 1598457942,
            "quantity": "0.00100000",
            "reference": "d281466425a9a1ceabb68d2da5b9dc1dc2ab185",
            "referenceId": "gbam4yhkebkllec",
            "status": "PENDING",
            "txData": {
                "confirmations": 0,
                "timeReceived": 1598457942,
                "txId": "d2814664259b68d2da5b9dc1dc2ab185"
            },
            "type": "RECEIVE",
            "updatedAt": 1598457962
        }
    ],
    "pagination": {
        "count": 1,
        "page": 1
    }
}
```

{% endtab %}
{% endtabs %}

## Create Wallet Address

<mark style="color:green;">`POST`</mark> `https://api.vaultoro.com/v1/private/coins/address`

This endpoint allows you create wallet addresses. You can create one address every 12 hours.

#### Query Parameters

| Name  | Type   | Description                                               |
| ----- | ------ | --------------------------------------------------------- |
| asset | string | The asset you want to create an address for. BTC or DASH. |

#### Headers

| Name   | Type   | Description     |
| ------ | ------ | --------------- |
| VTOKEN | string | Your API token. |

{% tabs %}
{% tab title="200 Address successfully created." %}

```
{
    "data": {
        "address": "xxx-xxx-xxx"
    }
}

```

{% endtab %}
{% endtabs %}

## Withdraw funds from your account

<mark style="color:green;">`POST`</mark> `https://api.vaultoro.com/v1/private/coins/withdraw`

This endpoint requires OTP to be enabled on your account. You must send your OTP with your request. Your account must also be validated.\
\
You can request one withdrawal each 5 minutes. Fees also apply to each transaction - please login to your account to view the current ones.

#### Query Parameters

| Name     | Type   | Description                                          |
| -------- | ------ | ---------------------------------------------------- |
| asset    | string | The asset you wish to withdraw funds in. BTC or DASH |
| otp      | string | Your One Time Password from Authenticator App.       |
| address  | string | The address to which you want to withdraw funds to.  |
| quantity | number | The amount you wish to withdraw.                     |

#### Headers

| Name   | Type   | Description    |
| ------ | ------ | -------------- |
| VTOKEN | string | Your API Token |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": {
        "asset": "BTC",
        "createdAt": 1596531605,
        "fee": 0.0005,
        "message": "Withdrawal queued",
        "quantity": "0.055"
    }
}

```

{% endtab %}
{% endtabs %}

## Withdrawal Fees

<mark style="color:green;">`POST`</mark> `https://api.vaultoro.com/v1/private/coins/withdraw/fees`

Calculate the fees for an asset withdrawal.

#### Query Parameters

| Name     | Type   | Description                                     |
| -------- | ------ | ----------------------------------------------- |
| asset    | string | The asset you wish to filter results by         |
| quantity | number | The quantity of the asset you wish to withdraw. |

#### Headers

| Name   | Type   | Description     |
| ------ | ------ | --------------- |
| VTOKEN | string | Your API token. |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": {
        "fee": "0.000500000000000000",
        "gross": "1.000000000000000000",
        "min": "0.005000000000000000",
        "net": "0.999500000000000000"
    }
}

```

{% endtab %}
{% endtabs %}

## Retrieve Transactions

<mark style="color:blue;">`GET`</mark> `https://api.vaultoro.com/v1/private/coins/transactions`

Fetch the status of your recent transactions.

#### Query Parameters

| Name   | Type    | Description                                                                               |
| ------ | ------- | ----------------------------------------------------------------------------------------- |
| type   | string  | Either SEND or RECEIVE to filter by deposits or withdrawals.                              |
| status | string  | Query by PENDING or VALID transactions.                                                   |
| tx     | boolean | Send in true and we'll return the status of the transaction on the associated blockchain. |
| limit  | number  | The number of results to return                                                           |
| asset  | string  | The asset you want to filter the transactions by.                                         |

#### Headers

| Name   | Type   | Description    |
| ------ | ------ | -------------- |
| VTOKEN | string | Your API Token |

{% tabs %}
{% tab title="200 Expected response without the status handle" %}

```
{
    "data": [
        {
            "asset": "BTC",
            "createdAt": 1597913751,
            "quantity": "0.00140000",
            "txId": "3268ce8360f5571ee",
            "referenceId": "xj5dzmn1ke2kqvwd",
            "status": "PENDING",
            "type": "RECEIVE",
            "updatedAt": 1597914013
        }
    ],
    "pagination": {
        "count": 1,
        "page": 1
    }
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.vaultoro.com/assets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
